      subroutine ymd2jd(year,month,day,jd)
!
!     Translate a Gregorian date given as year, month, day
!     (and fraction), Universal Time, to Julian Day Number.
!
!     B. Knapp, 1988-11-07
!               1995-09-25 (Use intermediaries ymd2yd, yd2jd)
!               2001-04-24 (i*4)
!
C
C     RCS DATA
C     
C     $Header$
C     
C     $Log$
C
C
      implicit none
!
      integer*4 year,month
      real*8 day,yd,jd
      external ymd2yd,yd2jd
!
      call ymd2yd(year,month,day,yd)
      call yd2jd(yd,jd)
      return
      end
